> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chessa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rate

> Get the current rate for a specific currency.



## OpenAPI

````yaml GET /v1/rates/{from}/{to}
openapi: 3.0.3
info:
  title: Chessa Accounts API
  description: API collection for Chessa Accounts services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.chessa.ai
security: []
tags:
  - name: User Endpoints
    description: Endpoints related to user management
  - name: Configuration Endpoints
    description: Endpoints for fetching application configurations
  - name: Recipient Endpoints
    description: Endpoints for managing recipients
  - name: Order Endpoints
    description: Endpoints for managing orders
  - name: Rate Endpoints
    description: Endpoints for exchange rates and fees
  - name: Referral Endpoints
    description: Endpoints for managing referrals
paths:
  /v1/rates/{from}/{to}:
    get:
      tags:
        - Rate Endpoints
      summary: Get Exchange Rate
      description: Get the exchange rate between two assets.
      operationId: getExchangeRate
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  rate:
                    type: object
                    properties:
                      from:
                        type: string
                        example: BTC
                      rate:
                        type: number
                        example: 82605.06975000001
                      to:
                        type: string
                        example: USDC
              examples:
                Success Response:
                  value:
                    rate:
                      from: BTC
                      rate: 82605.06975000001
                      to: USDC
        '400':
          description: Error Response - Invalid Asset
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: validation_error
                  message:
                    type: string
                    example: >-
                      Invalid asset: INVALID. Supported assets: BTC, ETH, USDC,
                      USDT
                  statusCode:
                    type: number
                    example: 400
              examples:
                Error Response - Invalid Asset:
                  value:
                    error: validation_error
                    message: >-
                      Invalid asset: INVALID. Supported assets: BTC, ETH, USDC,
                      USDT
                    statusCode: 400

````